Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.spreadsheet.core.renderer.table
Class EMFFormsSpreadsheetTableControlRenderer

    java.lang.Object
      org.eclipse.emfforms.spi.spreadsheet.core.EMFFormsAbstractSpreadsheetRenderer<VTableControl>
          org.eclipse.emfforms.internal.spreadsheet.core.renderer.table.EMFFormsSpreadsheetTableControlRenderer

    public class EMFFormsSpreadsheetTableControlRenderer

extends EMFFormsAbstractSpreadsheetRenderer<VTableControl>

Spreadsheet renderer for `VTableControl`.

Author:
  Eugen Neufeld

Constructor Summary
`EMFFormsSpreadsheetTableControlRenderer(EMFFormsDatabinding emfformsDatabinding, EMFFormsLabelProvider emfformsLabelProvider, ReportService reportService, EMFFormsSpreadsheetRendererFactory rendererFactory, VTViewTemplateProvider vtViewTemplateProvider)` Default constructor.

Method Summary
`int` | `render(org.apache.poi.ss.usermodel.Workbook workbook, VTableControl vElement, ViewModelContext viewModelContext, EMFFormsSpreadsheetRenderTarget eMFFormsSpreadsheetRenderTarget)` This is called to trigger the rendering.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFFormsSpreadsheetTableControlRenderer

    public EMFFormsSpreadsheetTableControlRenderer(EMFFormsDatabinding emfformsDatabinding,
                                                   EMFFormsLabelProvider emfformsLabelProvider,
                                                   ReportService reportService,
                                                   EMFFormsSpreadsheetRendererFactory rendererFactory,
                                                   VTViewTemplateProvider vtViewTemplateProvider)

  Default constructor.

  Parameters:
    `emfformsDatabinding` - The EMFFormsDatabinding to use
    `emfformsLabelProvider` - The EMFFormsLabelProvider to use
    `reportService` - The `ReportService`
    `rendererFactory` - The EMFFormsSpreadsheetRendererFactory to use
    `vtViewTemplateProvider` - The VTViewTemplateProvider to use

Method Detail

### render

    public int render(org.apache.poi.ss.usermodel.Workbook workbook,
                      VTableControl vElement,
                      ViewModelContext viewModelContext,
                      EMFFormsSpreadsheetRenderTarget eMFFormsSpreadsheetRenderTarget)

  This is called to trigger the rendering.

  Specified by:
    `render` in class `EMFFormsAbstractSpreadsheetRenderer<VTableControl>`
  Parameters:
    `workbook` - The `Workbook` to write to
    `vElement` - The `VElement` describing the information to write
    `viewModelContext` - The `ViewModelContext` containing the `EObject`
    `eMFFormsSpreadsheetRenderTarget` - The `EMFFormsSpreadsheetRenderTarget` containing the information where to render to
  Returns:
    The number of rendered columns
  See Also:
    `EMFFormsAbstractSpreadsheetRenderer.render(org.apache.poi.ss.usermodel.Workbook, org.eclipse.emf.ecp.view.spi.model.VElement, org.eclipse.emf.ecp.view.spi.context.ViewModelContext, org.eclipse.emfforms.spi.spreadsheet.core.EMFFormsSpreadsheetRenderTarget)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.